cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class QRY_Q26_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.QRY_Q26_Common

- Direct Known Subclasses:
    QRY_Q26, QRY_Q27, QRY_Q28, QRY_Q29, QRY_Q30

      public abstract class QRY_Q26_Common
      extends AbstractQuery

  QRY_Q26 - Pharmacy/Treatment Order Response (Event Q26). This event is use for Pharmacy/Treatment Order Response.

  Represents a QRY_Q26 message structure . This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: QRD (Original-Style Query Definition Segment) SINGLE_COMPULSARY
  3: QRF (Original style query filter Segment) SINGLE_OPTIONAL
  4: DSC (Continuation Pointer Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.5 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.5 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves Continuation Pointer(DSC) segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `boolean` | `isQuery()` Veifies whether message is Query.
    `void` | `setContinuationPointerSegment(DSC objDSC)` Sets value of Continuation Pointer segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isQuery

          public boolean isQuery()

      Veifies whether message is Query.
      Overrides:
        `isQuery` in class `Message`
      Returns:
        boolean

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves Continuation Pointer(DSC) segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Sets value of Continuation Pointer segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment